IPhysics: CPhysicsEntity Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPhysicsEntity Class Reference

`#include <CPhysicsEntity.h>`

Inherits IPhysicsEntity.

List of all members.

## Public Member Functions

| CPhysicsEntity ()
| ~CPhysicsEntity ()
void | init (NewtonWorld *world, NewtonBody *body, ISceneNode *node, CLog *logger)
void | serialize (stringc file)
void | setMaterial (int material)
void | setPosition (vector3df position)
| Set the position.
void | setRotation (vector3df rotation)
| Set the rotation.
void | setScale (vector3df scale)
| Set the scale.
vector3df | getPosition ()
| Get position.
vector3df | getRotation ()
| Get rotation.
vector3df | getScale ()
| Get scale.
vector3df | getSize ()
NewtonBody * | getBody ()
| Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.
ISceneNode * | getNode ()
| Get a pointer to the Irrlicht SceneNode.
void | createConvexHullModifier ()
matrix4 | getMatrix ()
void | setMatrix (matrix4 matrix)
void | setUserID (int id)
int | getUserID ()
f32 | calculateVolume ()
vector3df | calculateInertia ()
vector3df | calculateCentreOfMass ()

## Public Attributes

const NewtonBody * | waterBody

## Static Protected Member Functions

static void _cdecl | writeToFile (void *serializeHandle, const void *buffer, size_t size)
static void _cdecl | destructor (const NewtonBody *body)

## Protected Attributes

NewtonWorld * | m_world
ISceneNode * | m_node
NewtonCollision * | m_modifier
vector3df | m_size
array< NewtonCollision * > | m_compoundArray
CLog * | m_log

## Constructor & Destructor Documentation

CPhysicsEntity::CPhysicsEntity | ( |  | ) |

CPhysicsEntity::~CPhysicsEntity | ( |  | ) |

## Member Function Documentation

void CPhysicsEntity::init | ( | NewtonWorld * | world,
|  | NewtonBody * | body,
|  | ISceneNode * | node,
|  | CLog * | logger |
| ) |  |  |

void CPhysicsEntity::serialize | ( | stringc | file | ) | `[virtual]`

Implements IPhysicsEntity.

void CPhysicsEntity::setMaterial | ( | int | material | ) | `[virtual]`

Implements IPhysicsEntity.

void CPhysicsEntity::setPosition | ( | vector3df | position | ) | `[virtual]`

Set the position.

Implements IPhysicsEntity.

void CPhysicsEntity::setRotation | ( | vector3df | rotation | ) | `[virtual]`

Set the rotation.

Implements IPhysicsEntity.

void CPhysicsEntity::setScale | ( | vector3df | scale | ) | `[virtual]`

Set the scale.

Implements IPhysicsEntity.

vector3df CPhysicsEntity::getPosition | ( |  | ) | `[virtual]`

Get position.

Implements IPhysicsEntity.

vector3df CPhysicsEntity::getRotation | ( |  | ) | `[virtual]`

Get rotation.

Implements IPhysicsEntity.

vector3df CPhysicsEntity::getScale | ( |  | ) | `[virtual]`

Get scale.

Implements IPhysicsEntity.

vector3df CPhysicsEntity::getSize | ( |  | ) |

NewtonBody * CPhysicsEntity::getBody | ( |  | ) | `[virtual]`

Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.

Implements IPhysicsEntity.

ISceneNode * CPhysicsEntity::getNode | ( |  | ) | `[virtual]`

Get a pointer to the Irrlicht SceneNode.

Implements IPhysicsBaseEntity.

void CPhysicsEntity::createConvexHullModifier | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

matrix4 CPhysicsEntity::getMatrix | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

void CPhysicsEntity::setMatrix | ( | matrix4 | matrix | ) | `[virtual]`

Implements IPhysicsEntity.

void CPhysicsEntity::setUserID | ( | int | id | ) | `[virtual]`

Implements IPhysicsEntity.

int CPhysicsEntity::getUserID | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

f32 CPhysicsEntity::calculateVolume | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

vector3df CPhysicsEntity::calculateInertia | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

vector3df CPhysicsEntity::calculateCentreOfMass | ( |  | ) | `[virtual]`

Implements IPhysicsEntity.

void CPhysicsEntity::writeToFile | ( | void * | serializeHandle,
|  | const void * | buffer,
|  | size_t | size |
| ) |  |  | `[static, protected]`

void _cdecl CPhysicsEntity::destructor | ( | const NewtonBody * | body | ) | `[static, protected]`

## Member Data Documentation

const NewtonBody* CPhysicsEntity::waterBody

NewtonWorld* CPhysicsEntity::m_world`[protected]`

ISceneNode* CPhysicsEntity::m_node`[protected]`

NewtonCollision* CPhysicsEntity::m_modifier`[protected]`

vector3df CPhysicsEntity::m_size`[protected]`

array<NewtonCollision*> CPhysicsEntity::m_compoundArray`[protected]`

CLog* CPhysicsEntity::m_log`[protected]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsEntity.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsEntity.cpp